Part Wedge/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(26 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav/ru
|[[Part_Prism/ru|Призма]]
|[[Part_Helix/ru|Спираль винтовая]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Prism.svg
|IconR=Part_Helix.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Part Wedge
|Name=Part Wedge
|Name/ru=Part Wedge
|Name/ru=Клин
|MenuLocation=Part -> [[Part_CreatePrimitives/ru|Создать примитивы...]] -> Клин
|MenuLocation=Деталь Создать примитивы... Клин
|Workbenches=[[Part_Module/ru|Part]]
|Workbenches=[[Part_Workbench/ru|Part(Деталь)]]
|SeeAlso=[[Part_Primitives/ru|Примитивы]]
|SeeAlso=[[Part_CreatePrimitives|Создать примитивы...]]
}}
}}
</div>
</div>


==Описание==
Create a parametric Wedge object. This Wedge defaults to a larger square base and a smaller square top.


<div class="mw-translate-fuzzy">
=== Default Size and Placement ===
Создаёт параметрический клин. Этот клин по умолчанию в основании имеет большой квадрат и меньший в вершине.
</div>


[[Image:Part_Wedge_Example.png|400px]]
'''Placement:'''
The default orientation places the base in the XZ plane and the top outward in the Y axis direction. The default base corner is the 0,0,0 origin.


==Применение==
'''Base Face:'''
*X : 10 mm
*Z : 10 mm


See [[Part_Primitives#Usage|Part Primitives]].
'''Height:'''
*Y : 0-10 mm


== Example ==
'''Top Face:'''
*X : 2-8 mm
*Z : 2-8 mm


[[Image:Part_Wedge_Scripting_Example.png|thumb|Part Wedge from the scripting example]]


A Part Wedge object created with the [[#Scripting|scripting example]] below is shown here.
[[File:PartWedgeProperty.png|left]]
{{clear}}


=== Parametric Inputs ===
== Notes ==
{|
| [[File:PartWedgeProperty_Inputs.png]]
|
Using the default placement, the below inputs are:
*{{PropertyData|X min/max}} : Base face X axis span
*{{PropertyData|Y min/max}}: Wedge height span
*{{PropertyData|Z min/max}} : Base face Z axis span
*{{PropertyData|X2 min/max}} : Top face X axis span
*{{PropertyData|Z2 min/max}} : Top face Z axis span
|}


* The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.
=== More examples for wedges ===

[[File:Wedge_examples.png]]
== Properties ==

See also: [[Property_editor|Property editor]].

A Part Wedge object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Wedge}}

* {{PropertyData|Xmin|Distance}}: The lowest X coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Ymin|Distance}}: The Y coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Zmin|Distance}}: The lowest Z coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|X2min|Distance}}: The lowest X coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Z2min|Distance}}: The lowest Z coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Xmax|Distance}}: The highest X coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Ymax|Distance}}: The Y coordinate of the rear face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Zmax|Distance}}: The highest Z coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|X2max|Distance}}: The highest X coordinate of the rear face of the wedge. The default is {{Value|8mm}}.
* {{PropertyData|Z2max|Distance}}: The highest Z coordinate of the rear face of the wedge. The default is {{Value|8mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Wedge can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
}}

* Where {{Incode|"myWedge"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}


{{Docnav/ru
|[[Part_Prism/ru|Призма]]
|[[Part_Helix/ru|Спираль винтовая]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Prism.svg
|IconR=Part_Helix.svg
|IconC=Workbench_Part.svg
}}


{{Part_Tools_navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:15, 3 March 2022

Клин

Системное название
Part Wedge
Расположение в меню
Деталь → Создать примитивы... → Клин
Верстаки
Part(Деталь)
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Примитивы

Описание

Создаёт параметрический клин. Этот клин по умолчанию в основании имеет большой квадрат и меньший в вершине.

Применение

See Part Primitives.

Example

Part Wedge from the scripting example

A Part Wedge object created with the scripting example below is shown here.

Notes

  • The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.

Properties

See also: Property editor.

A Part Wedge object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Wedge

  • ДанныеXmin (Distance): The lowest X coordinate of the front face of the wedge. The default is 0mm.
  • ДанныеYmin (Distance): The Y coordinate of the front face of the wedge. The default is 0mm.
  • ДанныеZmin (Distance): The lowest Z coordinate of the front face of the wedge. The default is 0mm.
  • ДанныеX2min (Distance): The lowest X coordinate of the rear face of the wedge. The default is 2mm.
  • ДанныеZ2min (Distance): The lowest Z coordinate of the rear face of the wedge. The default is 2mm.
  • ДанныеXmax (Distance): The highest X coordinate of the front face of the wedge. The default is 10mm.
  • ДанныеYmax (Distance): The Y coordinate of the rear face of the wedge. The default is 10mm.
  • ДанныеZmax (Distance): The highest Z coordinate of the front face of the wedge. The default is 10mm.
  • ДанныеX2max (Distance): The highest X coordinate of the rear face of the wedge. The default is 8mm.
  • ДанныеZ2max (Distance): The highest Z coordinate of the rear face of the wedge. The default is 8mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Wedge can be created with the addObject() method of the document:

wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
  • Where "myWedge" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()